<form onsubmit="return validateFile()" method ='post' enctype ="multipart/form-data" 
    {% if edit %}
        action="{% url 'profile:admin_setting_edit_running_link' id=running_link.id %}"
    {% else %}
        action="{% url 'profile:admin_setting_create_running_link' %}"
    {% endif %}>

   
    {% csrf_token %}
    
    {% if edit %}
        <input type="hidden" name="{{ form.id.name }}" id="{{ form.id.id_for_label }}" value="{{ form.id.value|stringformat:'s' }}">
    {% endif %}

    <!-- <div class="form-group" id="form-input-foto">
        <label for="{{ form_foto.logo.id_for_label }}">Foto</label>
        <input type="file" placeholder="Masukkan foto berita..."
            class="form-control {% if form_foto.logo.errors %}is-invalid{% endif %}"
            name="{{ form_foto.logo.name }}"
            id="{{ form_foto.logo.id_for_label }}" 
            maxlength="{{ form_foto.logo.field.max_length }}"
            {% if form_foto.logo.field.required and not edit %}required{% endif %} >
        <small id="passwordHelpBlock" class="form-text text-muted">
            {% if edit %}Kosongi apabila tidak ingin mengganti file.{% endif %}
        </small>
            {% if form_foto.logo.errors %}
                <div class="invalid-feedback">
                    {{ form_foto.logo.errors }}
                </div>
            {% endif %}
    </div>

    {{form_foto.x}}
    {{form_foto.y}}
    {{form_foto.width}}
    {{form_foto.height}} -->

    <div class="form-group">
        <label for="foto">Foto</label>
        <input type="file" placeholder="Masukkan thumbnail berita..."
            class="form-control"
            name="foto"
            id="foto" 
            accept="image/png, image/jpeg, image/jpg, image/webp"
            {% if not edit %}required{% endif %} >
        <small id="passwordHelpBlock" class="form-text text-muted">
            {% if edit %}Kosongi apabila tidak ingin mengganti file.{% endif %}
        </small>
    </div>

    <script>
          function validateFile() {
            var fileInput = document.getElementById('foto');
            var filePath = fileInput.value;
            var allowedExtensions = /(\.png|\.jpg|\.jpeg|\.webp)$/i;

            if (filePath === '') {
                // alert('Mohon pilih file thumbnail berita.');
                return true;
            }

            if (!allowedExtensions.exec(filePath)) {
                alert('Tipe file tidak diizinkan. Harap pilih file dengan ekstensi PNG, JPEG, atau WebP.');
                fileInput.value = '';
                return false;
            }
            return true;
        }
    </script>

    <!-- <div class="form-group">
        <label for="{{ form.nama.id_for_label }}">Nama</label>
        <input type="text" placeholder="Masukkan nama running link..."
            class="form-control {% if form.nama.errors %}is-invalid{% endif %}"
            name="{{ form.nama.name }}"
            id="{{ form.nama.id_for_label }}" 
            maxlength="{{ form.nama.field.max_length }}"
            {% if form.nama.value != None %}value="{{ form.nama.value|stringformat:'s' }}"{% endif %}
            {% if form.nama.field.required %}required{% endif %} >
        {% if form.nama.errors %}
            <div class="invalid-feedback">
                {{ form.nama.errors }}
            </div>
        {% endif %}
    </div>

    <div class="form-group">
        <label for="{{ form.link.id_for_label }}">Link</label>
        <input type="text" placeholder="Masukkan link logo..."
            class="form-control {% if form.link.errors %}is-invalid{% endif %}"
            name="{{ form.link.name }}"
            id="{{ form.link.id_for_label }}" 
            maxlength="{{ form.link.field.max_length }}"
            {% if form.link.value != None %}value="{{ form.link.value|stringformat:'s' }}"{% endif %}
            {% if form.link.field.required %}required{% endif %} >
        {% if form.link.errors %}
            <div class="invalid-feedback">
                {{ form.link.errors }}
            </div>
        {% endif %}
    </div> -->

    <button type="submit" class="btn btn-success"><i class="bi bi-save"></i> Simpan Data</button>
</form>
